com.hazelcast.config

## Class FileSystemXmlConfig

- java.lang.Object
- - com.hazelcast.config.Config
  - - com.hazelcast.config.FileSystemXmlConfig

-     public class FileSystemXmlConfig
      extends Config

  A `Config` which includes functionality for loading itself from a XML configuration file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileSystemXmlConfig(File configFile)` Creates a Config based on a Hazelcast xml file and uses the System.properties to resolve variables in the XML.
    `FileSystemXmlConfig(File configFile, Properties properties)` Creates a Config based on a Hazelcast XML file.
    `FileSystemXmlConfig(String configFilename)` Creates a Config based on a Hazelcast xml file and uses the System.properties to resolve variables in the XML.
    `FileSystemXmlConfig(String configFilename, Properties properties)` Creates a Config based on a Hazelcast XML file.

  - ### Method Summary

    - ### Methods inherited from class com.hazelcast.config.Config

      `addAtomicLongConfig, addAtomicReferenceConfig, addCacheConfig, addCardinalityEstimatorConfig, addCountDownLatchConfig, addDurableExecutorConfig, addEventJournalConfig, addExecutorConfig, addFlakeIdGeneratorConfig, addJobTrackerConfig, addListConfig, addListenerConfig, addLockConfig, addMapConfig, addMerkleTreeConfig, addMultiMapConfig, addPNCounterConfig, addQueueConfig, addQuorumConfig, addReliableTopicConfig, addReplicatedMapConfig, addRingBufferConfig, addScheduledExecutorConfig, addSemaphoreConfig, addSetConfig, addTopicConfig, addWanReplicationConfig, findAtomicLongConfig, findAtomicReferenceConfig, findCacheConfig, findCacheConfigOrNull, findCacheEventJournalConfig, findCardinalityEstimatorConfig, findCountDownLatchConfig, findDurableExecutorConfig, findExecutorConfig, findFlakeIdGeneratorConfig, findJobTrackerConfig, findListConfig, findLockConfig, findMapConfig, findMapEventJournalConfig, findMapMerkleTreeConfig, findMultiMapConfig, findPNCounterConfig, findQueueConfig, findQuorumConfig, findReliableTopicConfig, findReplicatedMapConfig, findRingbufferConfig, findScheduledExecutorConfig, findSemaphoreConfig, findSetConfig, findTopicConfig, getAdvancedNetworkConfig, getAtomicLongConfig, getAtomicLongConfigs, getAtomicReferenceConfig, getAtomicReferenceConfigs, getCacheConfig, getCacheConfigs, getCacheEventJournalConfig, getCacheEventJournalConfigs, getCardinalityEstimatorConfig, getCardinalityEstimatorConfigs, getClassLoader, getConfigPatternMatcher, getConfigurationFile, getConfigurationUrl, getCountDownLatchConfig, getCountDownLatchConfigs, getCPSubsystemConfig, getCRDTReplicationConfig, getDurableExecutorConfig, getDurableExecutorConfigs, getExecutorConfig, getExecutorConfigs, getFlakeIdGeneratorConfig, getFlakeIdGeneratorConfigs, getGroupConfig, getHotRestartPersistenceConfig, getInstanceName, getJobTrackerConfig, getJobTrackerConfigs, getLicenseKey, getListConfig, getListConfigs, getListenerConfigs, getLockConfig, getLockConfigs, getManagedContext, getManagementCenterConfig, getMapConfig, getMapConfigOrNull, getMapConfigs, getMapEventJournalConfig, getMapEventJournalConfigs, getMapMerkleTreeConfig, getMapMerkleTreeConfigs, getMemberAttributeConfig, getMultiMapConfig, getMultiMapConfigs, getNativeMemoryConfig, getNetworkConfig, getPartitionGroupConfig, getPNCounterConfig, getPNCounterConfigs, getProperties, getProperty, getQueueConfig, getQueueConfigs, getQuorumConfig, getQuorumConfigs, getReliableTopicConfig, getReliableTopicConfigs, getReplicatedMapConfig, getReplicatedMapConfigs, getRingbufferConfig, getRingbufferConfigs, getScheduledExecutorConfig, getScheduledExecutorConfigs, getSecurityConfig, getSemaphoreConfig, getSemaphoreConfigs, getSemaphoreConfigsAsMap, getSerializationConfig, getServicesConfig, getSetConfig, getSetConfigs, getTopicConfig, getTopicConfigs, getUserCodeDeploymentConfig, getUserContext, getWanReplicationConfig, getWanReplicationConfigs, isLiteMember, setAdvancedNetworkConfig, setAtomicLongConfigs, setAtomicReferenceConfigs, setCacheConfigs, setCacheEventJournalConfigs, setCardinalityEstimatorConfigs, setClassLoader, setConfigPatternMatcher, setConfigurationFile, setConfigurationUrl, setCountDownLatchConfigs, setCPSubsystemConfig, setCRDTReplicationConfig, setDurableExecutorConfigs, setExecutorConfigs, setFlakeIdGeneratorConfigs, setGroupConfig, setHotRestartPersistenceConfig, setInstanceName, setJobTrackerConfigs, setLicenseKey, setListConfigs, setListenerConfigs, setLiteMember, setLockConfigs, setManagedContext, setManagementCenterConfig, setMapConfigs, setMapEventJournalConfigs, setMapMerkleTreeConfigs, setMemberAttributeConfig, setMultiMapConfigs, setNativeMemoryConfig, setNetworkConfig, setPartitionGroupConfig, setPNCounterConfigs, setProperties, setProperty, setQueueConfigs, setQuorumConfigs, setReliableTopicConfigs, setReplicatedMapConfigs, setRingbufferConfigs, setScheduledExecutorConfigs, setSecurityConfig, setSemaphoreConfigs, setSerializationConfig, setServicesConfig, setSetConfigs, setTopicConfigs, setUserCodeDeploymentConfig, setUserContext, setWanReplicationConfigs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSystemXmlConfig

          public FileSystemXmlConfig(String configFilename)
                              throws FileNotFoundException

      Creates a Config based on a Hazelcast xml file and uses the System.properties to resolve variables in the XML.
      Parameters:
        `configFilename` - the path of the Hazelcast xml configuration file
      Throws:
        `NullPointerException` - if configFilename is `null`
        `FileNotFoundException` - if the file is not found
        `InvalidConfigurationException` - if the XML content is invalid

    - #### FileSystemXmlConfig

          public FileSystemXmlConfig(String configFilename,
                                     Properties properties)
                              throws FileNotFoundException

      Creates a Config based on a Hazelcast XML file.
      Parameters:
        `configFilename` - the path of the Hazelcast XML configuration file
        `properties` - the Properties to resolve variables in the XML
      Throws:
        `FileNotFoundException` - if the file is not found
        `NullPointerException` - if configFilename is `null`
        `IllegalArgumentException` - if properties is `null`
        `InvalidConfigurationException` - if the XML content is invalid

    - #### FileSystemXmlConfig

          public FileSystemXmlConfig(File configFile)
                              throws FileNotFoundException

      Creates a Config based on a Hazelcast xml file and uses the System.properties to resolve variables in the XML.
      Parameters:
        `configFile` - the path of the Hazelcast XML configuration file
      Throws:
        `FileNotFoundException` - if the file doesn't exist
        `InvalidConfigurationException` - if the XML content is invalid

    - #### FileSystemXmlConfig

          public FileSystemXmlConfig(File configFile,
                                     Properties properties)
                              throws FileNotFoundException

      Creates a Config based on a Hazelcast XML file.
      Parameters:
        `configFile` - the path of the Hazelcast xml configuration file
        `properties` - the Properties to resolve variables in the XML
      Throws:
        `IllegalArgumentException` - if configFile or properties is `null`
        `FileNotFoundException` - if the file doesn't exist
        `InvalidConfigurationException` - if the XML content is invalid

Copyright © 2020. All rights reserved.